Skip navigation

atilogoEn está ocasión escribiré las instrucciones a seguir para instalar los drivers privativos para cualquier tarjeta de video ATI

Primero que nada es importante que tengas instalado “Yaourt” para poder llevar a cabo este proceso, la instalación de “Yaourt” se ha explicado en el post anterior.

Tarjetas de vídeo “Antiguas”

Debido a que ATI ha dejado el soporte para tarjetas devídeo antiguas, tendremos que ingeniarnosla para poder conseguir los drivers, por fortuna, todo lo que necesitamos está en el AUR, y gracias a “Yaourt” no tendremos problemas.


yaourt -Sy catalyst-old

yaourt -Sy catalyst-utils-old

Además para poder actualizar el sistema tendremos que agregar paquetes a la lista de ignorados (Gracias ¬¬ AMD/ATI ). El archivo a modificar está en /etc/pacman.conf se debe agregar lo siguiente a la parte que dice “IgnorePkg”

IgnorePkg = xorg-server xf86-input-evdev xf86-input-keyboard xf86-input-mouse xf86-video-radeonhd xf86-video-ati xf86-video-vesa libgl ati-dri

Tarjetas de vídeo “Nuevas”

Para todos los que tengan tarjetas nuevas deberán usar los siguiente paquetes.


yaourt -Sy catalyst
yaourt -Sy catalyst-utils

Los usuarios de tarjetas nuevas no tendrán que preocuparse por las actualizaciones.

Referencias: Piklesonfire

Anuncios

6 Comments

  1. muchas gracias por tu blog!!!. Despues de algun tiempo en linux (probando mandriva, (k)ubuntu y ultimamente opensuse) me “atrevi” con arch, y nada tu blog ha sido de gran ayuda… espero seguir leyendote!!!.. gracias 😉

    • Muchas gracias por tu comentario, creia que nadie se leia este blog.
      Saludos.

  2. Hola!, tengo una pregunta, el dia de hoy acabo de instalar ArchLinux y por lo que lei en su pagina principal ya habian pasado el nuevo xorg a los repositorios extras, entonces si quiero una interfaz grafica debo de instalarlos, pero yo tengo una ati radeon xpress 200 de las que ya no tienen soporte el driver propietario, habra alguna forma de hacer un downgrade al xorg y poderme instalar los drivers propietarios??

    • Hola, lo que yo haria en tu caso sería desinstalar xorg completamente junto con todas sus dependencias de manera que sólo quedará una bonita terminal y rehacer los pasos desde ahí, otra cosa que puedes hacer es revisar /var/cache/pacman/pkg y si aún se encuentra el xorg antiguo ahí puedes instalarlo usando pacman -U nombrepaquete.pkg.tar.gz y si pacman se queja de conflictos con archivos puedes usar pacman -Uf nombrepaquete.pkg.tar.gz de cualquier forma te recomiendo que uses la primera opción pues es más comoda y sencilla.

      Saludos y recuerda que nos hemos mudado Aquí

  3. De hecho me acabo de pasar de slack a Arch y pues inicio una instalacion desde cero, intentare buscar el xorg antiguo, veo que la solucion va por ahi, realmente los drivers propietarios se me hacen un tanto superiores a los libres, gracias por tomarte el tiempo en contestar, y una felicitacion a tu blog, tiene informacion muy valiosa… Intentare hacer eso y posteo los resultados.
    Saludos!

    • Hay muchos repositorios donde se encuentran paquetes viejos de arch, xorg server se encuentra aqui http://www.schlunix.org/archlinux/extra/os/i686/ es la versión 1.6, lo que tendrias que hacer es bajarlo desde ahi, instalarlo y después queda a tu disposición si eliminas el repositorio y pasas los paquetes de xorg a la sección IgnorePkg cómo escribi en la entrada de este articulo.

      Saludos.

      Edito: Me he equivocado, la versión que debes instalar es la 1.5, lamento la confusión.


Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s

A %d blogueros les gusta esto: